summaryrefslogtreecommitdiff
path: root/meta
diff options
context:
space:
mode:
Diffstat (limited to 'meta')
-rwxr-xr-xmeta/new.sh2
-rwxr-xr-xmeta/sync.sh2
2 files changed, 4 insertions, 0 deletions
diff --git a/meta/new.sh b/meta/new.sh
index deb0774..24d1b1d 100755
--- a/meta/new.sh
+++ b/meta/new.sh
@@ -3,6 +3,8 @@
# completly reset it
scriptdir="$(dirname "$0")"
cd "$scriptdir"
+# Include /sbin to the PATH since mkfs.ext2 exists only in sbin on debian :/
+export PATH="$PATH:/sbin"
rm ext2.img
mkfs.ext2 ext2.img 20M
./sync.sh
diff --git a/meta/sync.sh b/meta/sync.sh
index 036ad18..ab56757 100755
--- a/meta/sync.sh
+++ b/meta/sync.sh
@@ -2,6 +2,8 @@
scriptdir="$(dirname "$0")"
cd "$scriptdir"
+[ -f ./ext2.img ] || (./new.sh ; exit)
+
# Sync the sysroot with the bootable image
mkdir ./mount
sudo mount ext2.img mount